image: debian/sid
packages:
  - jython
  - python3-pip
  - virtualenv
tasks:
  - core: |
      cd hypervideo
      virtualenv -p python3 venv
      source venv/bin/activate
      python --version
      pip install nose
      export YTDL_TEST_SET=core
      export JYTHON=true;
      bash ./devscripts/run_tests.sh || true
  - download: |
      cd hypervideo
      virtualenv -p python3 venv
      source venv/bin/activate
      python --version
      pip install nose
      export YTDL_TEST_SET=download
      export JYTHON=true;
      bash ./devscripts/run_tests.sh || true
  - flake8: |
      cd hypervideo
      virtualenv -p python3 venv
      source venv/bin/activate
      python --version
      pip install flake8
      flake8 .
